+ Reply to Thread
Results 1 to 10 of 10

Thread: DirectX

  1. #1
    Soulwalker
    Join Date
    Feb 2011
    Posts
    7

    Default DirectX

    Ok, I guess its required to play beta? I know the next beta doesn't start until tomorrow, but is it actually needed to play? The problem I'm having is updating my current one, for some reason the update keeps failing. It tells me to either try again later or check my internet connection settings, which isn't the problem?

    xP

  2. #2
    Ascendant ---AlterEgo---'s Avatar
    Join Date
    Oct 2010
    Location
    Earth
    Posts
    2,217

    Default

    Try to install the latest one from Microsoft: http://www.microsoft.com/downloads/e...a-9b6652cd92a3. That should work.
    Quote Originally Posted by Dinadass
    People on the internet are jerks, deal with it.

  3. #3
    Soulwalker
    Join Date
    Feb 2011
    Posts
    7

    Default

    Quote Originally Posted by ---AlterEgo--- View Post
    Try to install the latest one from Microsoft: http://www.microsoft.com/downloads/e...a-9b6652cd92a3. That should work.
    Same dealio :T Only difference is that this time a window popped up asking me to install it with recommended settings, which also didn't work xP

  4. #4
    Champion Absolutez's Avatar
    Join Date
    Dec 2010
    Location
    Telara
    Posts
    524

    Default

    If the link above didn't work, you need the actual directx first which is here:
    http://www.microsoft.com/downloads/e...1-50ceb6d8fa8d

    Then update it.
    "Live By The Sword, Die By The Sword"

  5. #5
    Soulwalker
    Join Date
    Feb 2011
    Posts
    7

    Default

    Quote Originally Posted by Absolutez View Post
    If the link above didn't work, you need the actual directx first which is here:
    http://www.microsoft.com/downloads/e...1-50ceb6d8fa8d

    Then update it.
    That did it, thanks! (:

  6. #6
    Champion Absolutez's Avatar
    Join Date
    Dec 2010
    Location
    Telara
    Posts
    524

    Default

    Quote Originally Posted by Esonance View Post
    That did it, thanks! (:
    You welcome
    "Live By The Sword, Die By The Sword"

  7. #7
    Soulwalker
    Join Date
    Jan 2011
    Location
    Los Angeles
    Posts
    13

    Default

    I had the same issue with beta5, and I have installed the beta6 client and it still insists I need to update and install DirectX 9.0c.

    I am running Windows 7 Ultimate 64-bit with an nVidia GTX460 1024MB. This is a brand-spanking new gaming rig that still has that new computer smell. I play all kinds of other games (WoW, SC2, Oblivion, Champions Online, Minecraft) with no problems. I posted about this for beta5 and could not even play the beta because the issue was never resolved.

    I'm still having the issue. Despite downloading "directx_Jun2010_redist.exe" fresh from Microsoft's download site several times and scouring the Internet for others having the same problem as me, I can't get the DirectX installer to complete successfully. I've tried doing a bare-bones restart using msconfig and disabling a whole bunch of services and startup items but it still wants to suck.

    The complete error text is:

    An internal system error occurred.
    Please refer to DXError.log and DirectX.log in your Windows folder to determine problem.
    Every time I check the log it complains about a different file just like the other people who have posted here. Bah! Here is the most recent attempt:

    Quote Originally Posted by C:\Windows\Logs\DXError.log
    --------------------
    [02/03/11 21:22:13] module: dxupdate(Nov 19 2010), file: dxupdate.cpp, line: 5738, function: DirectXUpdateInstallPlugIn

    Failed API: SetupIterateCabinet()
    Error: (5) - Access is denied.



    Unable to iterate through C:\Windows\system32\DirectX\WebSetup\MDX_1.0.2904. 0_x86.cab. The file may be damaged.

    --------------------
    [02/03/11 21:22:14] module: dsetup32(Nov 19 2010), file: dxupdate.cpp, line: 280, function: CSetup::InstallPlugIn

    DirectXUpdateInstallPlugIn() failed.

    --------------------
    [02/03/11 21:22:14] module: dsetup32(Nov 19 2010), file: setup.cpp, line: 1727, function: CSetup::SetupForDirectX

    InstallPlugIn() failed.

    --------------------
    [02/03/11 21:23:38] module: dxupdate(Nov 19 2010), file: dxupdate.cpp, line: 5738, function: DirectXUpdateInstallPlugIn

    Failed API: SetupIterateCabinet()
    Error: (5) - Access is denied.



    Unable to iterate through C:\Windows\system32\DirectX\WebSetup\MDX_1.0.2905. 0_x86.cab. The file may be damaged.

    --------------------
    [02/03/11 21:23:38] module: dsetup32(Jun 2 2010), file: dxupdate.cpp, line: 280, function: CSetup::InstallPlugIn

    DirectXUpdateInstallPlugIn() failed.

    --------------------
    [02/03/11 21:23:38] module: dsetup32(Jun 2 2010), file: setup.cpp, line: 1723, function: CSetup::SetupForDirectX

    InstallPlugIn() failed.
    (The "Access is denied" error persists even if I run this as Administrator)

    If anyone has any suggestions that do not involve telling me to re-download the DX9 runtime straight from Microsoft, please let me know! My system is bare-bones and I'm willing to try anything short of "re-install your operating system". Thanks in advance!

    I truly hope that this can be resolved because I am very much looking forward to playing Rift and have already pre-ordered. I will be very disappointed if the game still complains about this once it launches, especially considering I have a really powerful system and have already spent the money on a game might not even be able to play.

    Edit: I have attached the entire DXError.log file to further illustrate how it complains about different files every time.
    Attached Files
    Last edited by synack; 02-03-2011 at 09:48 PM.

  8. #8
    Champion Absolutez's Avatar
    Join Date
    Dec 2010
    Location
    Telara
    Posts
    524
    "Live By The Sword, Die By The Sword"

  9. #9
    Soulwalker Hephestos's Avatar
    Join Date
    Feb 2011
    Location
    East Coast
    Posts
    7

    Default

    I am having difficulty launching Rift. It states that one or more components od DirectX are out of date. After I click to update it states that the version I have is curent and no installation is needed. Click OK and then get a pop up saying Rift has stopped working. Tried re-booting, re-installing.
    Any suggestions?

  10. #10
    Soulwalker
    Join Date
    Jan 2011
    Location
    Los Angeles
    Posts
    13

    Default

    Thanks for the reply and the links, Absolutez.

    I ended up resolving it. The culprit was my anti-virus software: ClamAV. Despite shutting it down and its companion services, it seemed to have still been interfering with Windows Cryptography Service. So... I uninstalled ClamAV, rebooted, installed DX9c with no problems, and then promptly re-installed ClamAV.

    Pass this along for future generations!!

    Best regards!!

+ Reply to Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts